## getdp 2.2.0

=== Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

include variables

GETDP_MAJOR_VERSION = 2
GETDP_MINOR_VERSION = 2
GETDP_PATCH_VERSION = 0
GETDP_EXTRA_VERSION = ""

GETDP_VERSION =\
  ${GETDP_MAJOR_VERSION}.${GETDP_MINOR_VERSION}.${GETDP_PATCH_VERSION}${GETDP_EXTRA_VERSION}

GETDP_SHORT_LICENSE = "GNU General Public License"

GETDP_VERSION_FILE = Common/GetDPVersion.h
GETDP_DATE = `date "+%Y%m%d"`

all: link

link: compile
	${LINKER} ${OPTIM} -o bin/getdp Main/Main${OBJEXT} ${GETDP_LIBS}

compile: variables initialtag
	@for i in ${GETDP_DIRS}; do (cd $$i && ${MAKE}); done

install: variables
	mkdir -p ${bindir}
	cp -f bin/getdp${EXEEXT} ${bindir}
	chmod 755 ${bindir}/getdp${EXEEXT}
	mkdir -p ${mandir}/man1
	cp -f doc/getdp.1 ${mandir}/man1

variables: configure
	@echo "********************************************************************"
	@echo "Please configure GetDP by running ./configure"
	@echo "For help, type ./configure --help"
	@echo "********************************************************************"
	@exit 1

parser:
	cd Interface && ${MAKE} parser

purge:
	rm -f `find . -name "*~" -o -name "*~~" -o -name ".getdp-errors"\
               -o -name "\#*" -o -name ".\#*" -o -name ".DS_Store"\
               -o -name "gmon.out" -o -name ".gdb_history" -o -name "debug?.pos"\
               -o -name "*.bak"`

clean:
	for i in doc lib demos ${GETDP_DIRS}; do (cd $$i && ${MAKE} clean); done
	rm -f ${GETDP_VERSION_FILE}

depend: initialtag
	mv -f Common/GetDPConfig.h .
	cp -f utils/misc/GetDPConfig.depend Common/GetDPConfig.h
	for i in ${GETDP_DIRS}; do (cd $$i && ${MAKE} depend "CXX=g++"); done
	mv -f GetDPConfig.h Common/

nodepend:
	for i in ${GETDP_DIRS} ; do\
          (cd $$i && (sed '/^# DO NOT DELETE THIS LINE/q' Makefile) > Makefile.new\
          && cp Makefile Makefile.bak\
          && cp Makefile.new Makefile\
          && rm -f Makefile.new);\
        done 

tag:
	rm -f ${GETDP_VERSION_FILE}
	echo "#define GETDP_MAJOR_VERSION ${GETDP_MAJOR_VERSION}" >  ${GETDP_VERSION_FILE}
	echo "#define GETDP_MINOR_VERSION ${GETDP_MINOR_VERSION}" >> ${GETDP_VERSION_FILE}
	echo "#define GETDP_PATCH_VERSION ${GETDP_PATCH_VERSION}" >> ${GETDP_VERSION_FILE}
	echo "#define GETDP_EXTRA_VERSION \"${GETDP_EXTRA_VERSION}\"" >> ${GETDP_VERSION_FILE}
	echo "#define GETDP_VERSION       \"${GETDP_VERSION}\"" >> ${GETDP_VERSION_FILE}
	echo "#define GETDP_DATE          \"`date`\""          >> ${GETDP_VERSION_FILE}
	echo "#define GETDP_HOST          \"${HOSTNAME}\""     >> ${GETDP_VERSION_FILE}
	echo "#define GETDP_PACKAGER      \"`whoami`\""        >> ${GETDP_VERSION_FILE}
	echo "#define GETDP_OS            \"${UNAME}\""        >> ${GETDP_VERSION_FILE}
	echo "#define GETDP_SHORT_LICENSE \"${GETDP_SHORT_LICENSE}\"" >> ${GETDP_VERSION_FILE}

initialtag:
	@if [ ! -r ${GETDP_VERSION_FILE} ]; then ${MAKE} tag ; fi

tags:
	gtags
	htags

etags:
	etags `find . \( -name "*.cpp" -o -name "*.c" -o -name "*.h"\
                      -o -name "*.y" -o -name "*.l" \)`

# Rules to package the sources

source-common: purge
	rm -rf getdp-${GETDP_VERSION}
	tar zcf getdp.tgz --exclude "*.o" --exclude "*.a" --exclude "getdp"\
          --exclude "variables" --exclude "config.log" --exclude "config.status"\
          --exclude "autom4*" --exclude "Makefile.distrib" --exclude "Makefile.bak"\
          --exclude "benchmarks" --exclude "HTML"\
          --exclude "*TAGS*" --exclude "GSYMS" --exclude "GPATH" --exclude ".svn"\
          *
	mkdir getdp-${GETDP_VERSION}
	cd getdp-${GETDP_VERSION} && tar zxf ../getdp.tgz
	rm -f getdp.tgz
	cd getdp-${GETDP_VERSION}/demos && ${MAKE} clean
	cd getdp-${GETDP_VERSION}/doc && ${MAKE} clean

source: source-common
	cd getdp-${GETDP_VERSION} && rm -rf */.globalrc\
          ${GETDP_VERSION_FILE} contrib/NR contrib/ZITSOL_1 contrib/NX
	tar zcf getdp-${GETDP_VERSION}-source.tgz getdp-${GETDP_VERSION}

# Rules to package the binaries

package-unix:
	rm -rf getdp-${GETDP_VERSION}
	mkdir getdp-${GETDP_VERSION}
	strip bin/getdp
	cp bin/getdp getdp-${GETDP_VERSION}
	cp doc/getdp.1 doc/LICENSE.txt doc/VERSIONS.txt doc/CREDITS.txt\
          getdp-${GETDP_VERSION}
	cp -R demos getdp-${GETDP_VERSION}
	rm -rf getdp-${GETDP_VERSION}/*/.svn
	rm -f getdp-${GETDP_VERSION}/*/*.pre
	rm -f getdp-${GETDP_VERSION}/*/*.res
	rm -f getdp-${GETDP_VERSION}/*/*.pos
	rm -f getdp-${GETDP_VERSION}/*/*.cut
	rm -f getdp-${GETDP_VERSION}/*/*~
	tar cvf getdp-${GETDP_VERSION}-${UNAME}.tar getdp-${GETDP_VERSION}
	gzip getdp-${GETDP_VERSION}-${UNAME}.tar
	mv getdp-${GETDP_VERSION}-${UNAME}.tar.gz getdp-${GETDP_VERSION}-${UNAME}.tgz

package-win:
	rm -rf getdp-${GETDP_VERSION}
	mkdir getdp-${GETDP_VERSION}
	strip bin/getdp.exe
	cp bin/getdp.exe getdp-${GETDP_VERSION}
	cp doc/README.win32 getdp-${GETDP_VERSION}/README.txt
	cp doc/LICENSE.txt doc/VERSIONS.txt doc/CREDITS.txt\
          getdp-${GETDP_VERSION}
	cd utils/misc && ./unix2dos.bash ../../getdp-${GETDP_VERSION}/*.txt
	cp -R demos getdp-${GETDP_VERSION}
	rm -rf getdp-${GETDP_VERSION}/*/.svn
	rm -f getdp-${GETDP_VERSION}/*/*.pre
	rm -f getdp-${GETDP_VERSION}/*/*.res
	rm -f getdp-${GETDP_VERSION}/*/*.pos
	rm -f getdp-${GETDP_VERSION}/*/*.cut
	rm -f getdp-${GETDP_VERSION}/*/*~
	cd utils/misc && ./unix2dos.bash ../../getdp-${GETDP_VERSION}/demos/*
	cd getdp-${GETDP_VERSION} && zip -r getdp-${GETDP_VERSION}-Windows.zip *
	mv getdp-${GETDP_VERSION}/getdp-${GETDP_VERSION}-Windows.zip .

package-mac: package-unix
	mv getdp-${GETDP_VERSION}-${UNAME}.tgz getdp-${GETDP_VERSION}-MacOSX.tgz

# Rules to distribute official releases

distrib-pre:
	mv -f Makefile Makefile.distrib
	sed -e "s/^GETDP_EXTRA_VERSION.*/GETDP_EXTRA_VERSION =/g"\
          Makefile.distrib > Makefile
	make tag

distrib-pre-svn:
	mv -f Makefile Makefile.distrib
	sed -e "s/^GETDP_EXTRA_VERSION.*/GETDP_EXTRA_VERSION = \"-svn-${GETDP_DATE}\"/g"\
          Makefile.distrib > Makefile
	make tag

distrib-post:
	mv -f Makefile.distrib Makefile
	rm -f ${GETDP_VERSION_FILE}

distrib-unix:
	make distrib-pre
	make all
	make package-unix
	make distrib-post
	ldd bin/getdp

distrib-unix-svn:
	make distrib-pre-svn
	make all
	make package-unix
	make distrib-post

distrib-win: 
	make distrib-pre
	make all
	make package-win
	make distrib-post
	objdump -p bin/getdp.exe | grep DLL

distrib-win-svn: 
	make distrib-pre-svn
	make all
	make package-win
	make distrib-post

distrib-mac:
	make distrib-pre
	make all
	make package-mac
	make distrib-post
	otool -L bin/getdp

distrib-mac-svn:
	make distrib-pre-svn
	make all
	make package-mac
	make distrib-post

distrib-source:
	make distrib-pre
	make source
	make distrib-post

distrib-source-svn:
	make distrib-pre-svn
	make source
	make distrib-post

=== Common/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

include ../variables

LIB = ../lib/libGetDPCommon${LIBEXT}

INC = ${DASH}I. ${DASH}I../Interface

CXXFLAGS = ${OPTIM} ${FLAGS} ${INC} ${SYSTEMINCLUDE}

SRC = ListUtils.cpp \
      TreeUtils.cpp avl.cpp \
      MallocUtils.cpp \
      Message.cpp \
      OS.cpp

OBJ = ${SRC:.cpp=${OBJEXT}}

.SUFFIXES: ${OBJEXT} .cpp

${LIB}: ${OBJ} 
	${AR} ${LIB} ${OBJ} 
	${RANLIB} ${LIB}

.cpp${OBJEXT}:
	${CXX} ${CXXFLAGS} ${DASH}c $<

clean:
	rm -f *.o *.obj

depend:
	(sed '/^# DO NOT DELETE THIS LINE/q' Makefile && \
	${CXX} -MM -MG ${CXXFLAGS} ${SRC} \
	) >Makefile.new
	cp Makefile Makefile.bak
	cp Makefile.new Makefile
	rm -f Makefile.new

# DO NOT DELETE THIS LINE
ListUtils.o: ListUtils.cpp GetDPConfig.h MallocUtils.h ListUtils.h \
  TreeUtils.h avl.h Message.h
TreeUtils.o: TreeUtils.cpp GetDPConfig.h MallocUtils.h TreeUtils.h avl.h \
  ListUtils.h
avl.o: avl.cpp avl.h MallocUtils.h
MallocUtils.o: MallocUtils.cpp MallocUtils.h Message.h
Message.o: Message.cpp GetDPConfig.h Message.h GmshSocket.h onelab.h OS.h \
  ../Interface/ProData.h GetDPConfig.h ListUtils.h \
  ../Interface/ProParser.h
OS.o: OS.cpp Message.h

=== Interface/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

include ../variables

LIB = ../lib/libGetDPInterface${LIBEXT}

INC = ${DASH}I. ${DASH}I../Common ${DASH}I../Legacy

CFLAGS = ${OPTIM} ${FLAGS} ${INC} ${SYSTEMINCLUDE}

SRC = ProData.cpp\
      ProDefine.cpp\
      ProParser.yy.cpp \
      ProParser.tab.cpp

OBJ = ${SRC:.cpp=${OBJEXT}}

.SUFFIXES: ${OBJEXT} .cpp

${LIB}: ${OBJ}
	${AR} ${LIB} ${OBJ}
	${RANLIB} ${LIB}

.cpp${OBJEXT}:
	${CXX} ${CFLAGS} ${DASH}c $<

parser: ProParser.y ProParser.l
	bison -p getdp_yy --output ProParser.tab.cpp -d ProParser.y 
	if [ -r ProParser.tab.cpp.h ]; then mv ProParser.tab.cpp.h ProParser.tab.hpp ; fi
	flex -Pgetdp_yy -oProParser.yy.cpp ProParser.l

clean:
	rm -f *.o *.obj

depend:
	(sed '/^# DO NOT DELETE THIS LINE/q' Makefile && \
	${CXX} -MM -MG ${CFLAGS} ${SRC} \
	) >Makefile.new
	cp Makefile Makefile.bak
	cp Makefile.new Makefile
	rm -f Makefile.new

# DO NOT DELETE THIS LINE
ProData.o: ProData.cpp ../Common/GetDPConfig.h ProData.h \
  ../Common/ListUtils.h ProDefine.h ProParser.h ../Common/Message.h \
  ../Legacy/Generate_Network.h ProData.h
ProDefine.o: ProDefine.cpp ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ProDefine.h ../Common/Message.h
ProParser.yy.o: ProParser.yy.cpp ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ProParser.h ProParser.tab.hpp \
  ../Common/MallocUtils.h ../Common/Message.h
ProParser.tab.o: ProParser.tab.cpp ../Common/GetDPConfig.h ProData.h \
  ../Common/ListUtils.h ProDefine.h ProDefines.h ../Legacy/Gauss.h \
  ../Legacy/F.h ProData.h ../Legacy/BF.h ../Legacy/GF.h \
  ../Legacy/Cal_Value.h ProParser.h ../Common/MallocUtils.h \
  ../Common/Message.h

=== Legacy/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

include ../variables

LIB = ../lib/libGetDPLegacy${LIBEXT}

INC = ${DASH}I. ${DASH}I../Common ${DASH}I../Interface ${DASH}I../Numeric \
      ${DASH}I../contrib/NR ${DASH}I../contrib/Sparskit 

CFLAGS = ${OPTIM} ${FLAGS} ${INC} ${SYSINCLUDE}

SRC = MainLegacy.cpp \
      F_Analytic.cpp F_BiotSavart.cpp F_Coord.cpp F_ExtMath.cpp \
        F_Geometry.cpp F_Interpolation.cpp F_Hysteresis.cpp F_Math.cpp \
        F_Misc.cpp F_MultiHar.cpp F_Raytracing.cpp \
        F_Gmsh.cpp F_DiffGeom.cpp \
      BF_Node.cpp BF_NodeXYZ.cpp BF_Node_2.cpp BF_Node_3.cpp \
        BF_Edge.cpp BF_Edge_2.cpp BF_Edge_3.cpp BF_Edge_4.cpp \
        BF_Facet.cpp BF_Volume.cpp BF_Region.cpp \
        BF_Perpendicular.cpp BF_GroupOfEntities.cpp \
      GF_Helmholtz.cpp GF_HelmholtzxForm.cpp \
        GF_Laplace.cpp GF_LaplacexForm.cpp \
      Gauss_Point.cpp \
        Gauss_Line.cpp \
        Gauss_Triangle.cpp Gauss_Quadrangle.cpp \
        Gauss_Tetrahedron.cpp Gauss_Hexahedron.cpp \
        Gauss_Prism.cpp Gauss_Pyramid.cpp \
      GeoData.cpp \
        GeoEntity.cpp \
        GeoNormal.cpp \
        GeoTree.cpp \
      DofData.cpp \
        LinAlg.cpp LinAlg_PETSC.cpp LinAlg_SPARSKIT.cpp \
      SolvingAnalyse.cpp SolvingOperations.cpp \
        Operation_TimeLoopAdaptive.cpp \
        Operation_IterativeLinearSolver.cpp \
        Treatment_Formulation.cpp \
            Get_DofOfElement.cpp \
            Get_ConstraintOfElement.cpp \
              Get_FunctionValue.cpp \
              Get_Geometry.cpp \
              Get_ElementSource.cpp \
            ExtendedGroup.cpp \
            Pre_TermOfFemEquation.cpp \
              Generate_Network.cpp \
            Cal_GalerkinTermOfFemEquation.cpp \
            Cal_GlobalTermOfFemEquation.cpp \
              Cal_IntegralQuantity.cpp \
              Cal_AnalyticIntegration.cpp \
              Cal_Quantity.cpp \
              Cal_Value.cpp \
              Cal_AssembleTerm.cpp \
              Cal_PostQuantity.cpp \
        MovingBand2D.cpp \
        EigenSolve.cpp EigenSolve_ARPACK.cpp EigenSolve_SLEPC.cpp \
      Pos_FemInterpolation.cpp \
      Pos_Formulation.cpp \
        Pos_Print.cpp \
          Pos_Element.cpp Pos_Format.cpp Pos_Iso.cpp Pos_Search.cpp

OBJ = ${SRC:.cpp=${OBJEXT}}

.SUFFIXES: ${OBJEXT} .cpp

${LIB}: ${OBJ}
	${AR} ${ARFLAGS}${LIB} ${OBJ}
	${RANLIB} ${LIB}

.cpp${OBJEXT}:
	${CXX} ${CFLAGS} ${DASH}c $<

clean:
	rm -f *.o *.obj

depend:
	(sed '/^# DO NOT DELETE THIS LINE/q' Makefile && \
	${CXX} -MM -MG ${CFLAGS} ${SRC} \
	) >Makefile.new
	cp Makefile Makefile.bak
	cp Makefile.new Makefile
	rm -f Makefile.new

# DO NOT DELETE THIS LINE
MainLegacy.o: MainLegacy.cpp ../Common/GetDPConfig.h \
  ../Common/GetDPVersion.h ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h SolvingAnalyse.h LinAlg.h \
  ../contrib/Sparskit/Sparskit.h ../Common/ListUtils.h ../Common/OS.h \
  ../Common/MallocUtils.h ../Common/Message.h
F_Analytic.o: F_Analytic.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h F.h ../Numeric/Legendre.h \
  ../Numeric/Bessel.h ../Common/MallocUtils.h ../Common/Message.h
F_BiotSavart.o: F_BiotSavart.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h F.h ../Common/Message.h
F_Coord.o: F_Coord.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h GeoData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h F.h \
  Get_Geometry.h ../Common/Message.h
F_ExtMath.o: F_ExtMath.cpp F.h ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h GeoData.h \
  ../Common/ListUtils.h ../Common/TreeUtils.h ../Common/avl.h \
  ../Common/ListUtils.h DofData.h LinAlg.h ../Common/GetDPConfig.h \
  ../contrib/Sparskit/Sparskit.h ../Common/ListUtils.h Cal_Value.h \
  ../Common/Message.h
F_Geometry.o: F_Geometry.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h ../Interface/ProDefine.h \
  ../Interface/ProData.h GeoData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h \
  Get_Geometry.h F.h ../Numeric/NumericUtils.h ../Common/MallocUtils.h \
  ../Common/Message.h
F_Interpolation.o: F_Interpolation.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h F.h \
  ../Common/MallocUtils.h ../Common/Message.h
F_Hysteresis.o: F_Hysteresis.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h F.h ../Common/Message.h
F_Math.o: F_Math.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h F.h ../Common/MallocUtils.h ../Common/Message.h
F_Misc.o: F_Misc.cpp ../Common/GetDPConfig.h ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h ../Interface/ProDefine.h \
  ../Interface/ProData.h F.h ../Common/Message.h Cal_Value.h
F_MultiHar.o: F_MultiHar.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h ../Interface/ProDefine.h \
  ../Interface/ProData.h DofData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h LinAlg.h \
  ../Common/GetDPConfig.h ../contrib/Sparskit/Sparskit.h \
  ../Common/ListUtils.h F.h Get_Geometry.h Get_FunctionValue.h \
  Cal_Quantity.h ../Common/MallocUtils.h ../Common/Message.h
F_Raytracing.o: F_Raytracing.cpp ../Common/GetDPConfig.h \
  ../Interface/ProData.h ../Common/GetDPConfig.h ../Common/ListUtils.h \
  F.h ../Common/Message.h
F_Gmsh.o: F_Gmsh.cpp ../Common/GetDPConfig.h ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h F.h ../Common/Message.h
F_DiffGeom.o: F_DiffGeom.cpp ../Common/GetDPConfig.h \
  ../Interface/ProData.h ../Common/GetDPConfig.h ../Common/ListUtils.h \
  F.h Cal_Value.h ../Common/Message.h
BF_Node.o: BF_Node.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ../Common/Message.h
BF_NodeXYZ.o: BF_NodeXYZ.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h BF.h Get_Geometry.h \
  ../Common/Message.h
BF_Node_2.o: BF_Node_2.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ../Common/Message.h
BF_Node_3.o: BF_Node_3.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ../Common/Message.h
BF_Edge.o: BF_Edge.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ../Common/Message.h
BF_Edge_2.o: BF_Edge_2.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ../Common/Message.h
BF_Edge_3.o: BF_Edge_3.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h GeoData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h \
  ../Common/Message.h
BF_Edge_4.o: BF_Edge_4.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ../Common/Message.h
BF_Facet.o: BF_Facet.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ../Common/Message.h
BF_Volume.o: BF_Volume.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h ../Common/Message.h
BF_Region.o: BF_Region.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h BF.h Get_DofOfElement.h Pos_FemInterpolation.h \
  Cal_Quantity.h ../Common/ListUtils.h ../Common/MallocUtils.h \
  ../Common/Message.h
BF_Perpendicular.o: BF_Perpendicular.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h BF.h
BF_GroupOfEntities.o: BF_GroupOfEntities.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h BF.h Get_Geometry.h
GF_Helmholtz.o: GF_Helmholtz.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h GF.h Cal_Value.h \
  GeoData.h ../Common/ListUtils.h ../Common/TreeUtils.h ../Common/avl.h \
  ../Common/ListUtils.h ../Common/Message.h
GF_HelmholtzxForm.o: GF_HelmholtzxForm.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h ../Interface/ProDefine.h \
  ../Interface/ProData.h BF.h GF.h Gauss.h GeoData.h \
  ../Common/ListUtils.h ../Common/TreeUtils.h ../Common/avl.h \
  ../Common/ListUtils.h ../Common/Message.h
GF_Laplace.o: GF_Laplace.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h GF.h ../Common/Message.h
GF_LaplacexForm.o: GF_LaplacexForm.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h ../Interface/ProDefine.h \
  ../Interface/ProData.h BF.h GF.h GeoData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h \
  ../Common/Message.h
Gauss_Point.o: Gauss_Point.cpp
Gauss_Line.o: Gauss_Line.cpp Gauss.h Gauss_Line.h ../Common/Message.h \
  ../Common/MallocUtils.h
Gauss_Triangle.o: Gauss_Triangle.cpp Gauss.h Gauss_Triangle.h \
  ../Common/Message.h ../Common/MallocUtils.h
Gauss_Quadrangle.o: Gauss_Quadrangle.cpp Gauss.h Gauss_Quadrangle.h \
  ../Common/Message.h ../Common/MallocUtils.h
Gauss_Tetrahedron.o: Gauss_Tetrahedron.cpp Gauss.h Gauss_Tetrahedron.h \
  ../Common/Message.h ../Common/MallocUtils.h
Gauss_Hexahedron.o: Gauss_Hexahedron.cpp Gauss.h Gauss_Hexahedron.h \
  ../Common/Message.h ../Common/MallocUtils.h
Gauss_Prism.o: Gauss_Prism.cpp Gauss_Prism.h ../Common/Message.h
Gauss_Pyramid.o: Gauss_Pyramid.cpp Gauss_Pyramid.h ../Common/Message.h
GeoData.o: GeoData.cpp GeoData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h \
  ../Interface/ProData.h ../Common/GetDPConfig.h ../Common/ListUtils.h \
  ../Common/MallocUtils.h ../Common/Message.h
GeoEntity.o: GeoEntity.cpp GeoData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h \
  ../Interface/ProData.h ../Common/GetDPConfig.h ../Common/ListUtils.h \
  GeoEntity.h ../Common/MallocUtils.h ../Common/Message.h
GeoNormal.o: GeoNormal.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h GeoData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h \
  ../Common/MallocUtils.h ../Common/Message.h
GeoTree.o: GeoTree.cpp ../Interface/ProData.h ../Common/GetDPConfig.h \
  ../Common/ListUtils.h GeoData.h ../Common/ListUtils.h \
  ../Common/TreeUtils.h ../Common/avl.h ../Common/ListUtils.h
DofData.o: DofData.cpp ../Common/GetDPVersion.h ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h DofData.h \
  ../Common/ListUtils.h ../Common/TreeUtils.h ../Common/avl.h \
  ../Common/ListUtils.h LinAlg.h ../Common/GetDPConfig.h \
  ../contrib/Sparskit/Sparskit.h ../Common/ListUtils.h GeoData.h \
  ExtendedGroup.h ../Common/MallocUtils.h ../Common/Message.h
LinAlg.o: LinAlg.cpp ../Common/GetDPConfig.h LinAlg.h \
  ../contrib/Sparskit/Sparskit.h ../Common/ListUtils.h \
  ../Common/Message.h
LinAlg_PETSC.o: LinAlg_PETSC.cpp ../Common/GetDPConfig.h LinAlg.h \
  ../contrib/Sparskit/Sparskit.h ../Common/ListUtils.h \
  ../Common/MallocUtils.h ../Common/Message.h ../Common/OS.h \
  ../Interface/ProData.h ../Common/GetDPConfig.h ../Common/ListUtils.h \
  DofData.h ../Common/ListUtils.h ../Common/TreeUtils.h ../Common/avl.h \
  ../Common/ListUtils.h
LinAlg_SPARSKIT.o: LinAlg_SPARSKIT.cpp ../Common/GetDPConfig.h LinAlg.h \
  ../contrib/Sparskit/Sparskit.h ../Common/ListUtils.h \
  ../Interface/ProData.h ../Common/GetDPConfig.h ../Common/ListUtils.h \
  DofData.h ../Common/ListUtils.h ../Common/TreeUtils.h ../Common/avl.h \
  ../Common/ListUtils.h ../Common/MallocUtils.h ../Common/Message.h
SolvingAnalyse.o: SolvingAnalyse.cpp ../Interface/ProData.h \
  ../Common/GetDPConfig.h ../Common/ListUtils.h GeoData.h \
  ../Common/ListUtils.h ../Common/TreeUtils.h ../Common/avl.h \
  ../Common/ListUtils.h DofData.h LinAlg.h ../Common/GetDPConfig.h \
  ../contrib/Sparskit/Sparskit.h ../Common/ListUtils.h \
  Treatment_Formulation.h Cal_Quantity.h Get_DofOfElement.h \
  Pos_Formulation.h SolvingOperations.h ../Common/MallocUtils.h \

=== Main/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

include ../variables

LIB = ../lib/libGetDPMain${LIBEXT}

INC = ${DASH}I. ${DASH}I../Common ${DASH}I../Interface ${DASH}I../Legacy \
      ${DASH}I../contrib

CXXFLAGS = ${OPTIM} ${FLAGS} ${INC} ${SYSTEMINCLUDE}

SRC = Main.cpp

OBJ = ${SRC:.cpp=${OBJEXT}}

.SUFFIXES: ${OBJEXT} .cpp

${LIB}: ${OBJ}
	${AR} ${LIB} ${OBJ} 
	${RANLIB} ${LIB}

.cpp${OBJEXT}:
	${CXX} ${CXXFLAGS} ${DASH}c $<

clean:
	rm -f *.o *.obj

depend:
	(sed '/^# DO NOT DELETE THIS LINE/q' Makefile && \
	${CXX} -MM -MG ${CXXFLAGS} ${SRC} \
	) >Makefile.new
	cp Makefile Makefile.bak
	cp Makefile.new Makefile
	rm -f Makefile.new

# DO NOT DELETE THIS LINE
Main.o: Main.cpp ../Legacy/MainLegacy.h

=== Numeric/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

include ../variables

LIB = ../lib/libGetDPNumeric${LIBEXT}

INC = ${DASH}I. ${DASH}I../Common ${DASH}I../contrib/NR

CFLAGS = ${OPTIM} ${FLAGS} ${INC} ${SYSINCLUDE}

SRC = Adapt.cpp \
      Bessel.cpp \
      Legendre.cpp \
      gsl_brent.cpp

ifneq (${FC},disabled)
FSRC = BesselLib.f
else
FSRC = 
endif

OBJ = ${SRC:.cpp=${OBJEXT}}
FOBJ = ${FSRC:.f=.o}

.SUFFIXES: ${OBJEXT} .cpp .f

${LIB}: ${OBJ} ${FOBJ}
	${AR} ${ARFLAGS}${LIB} ${OBJ} ${FOBJ}
	${RANLIB} ${LIB}

.cpp${OBJEXT}:
	${CXX} ${CFLAGS} ${DASH}c $<

.f${OBJEXT}:
	${FC} ${FFLAGS} -c $<

clean:
	rm -f *.o *.obj

depend:
	(sed '/^# DO NOT DELETE THIS LINE/q' Makefile && \
	${CXX} -MM -MG ${CFLAGS} ${SRC} \
	) >Makefile.new
	cp Makefile Makefile.bak
	cp Makefile.new Makefile
	rm -f Makefile.new

# DO NOT DELETE THIS LINE
Adapt.o: Adapt.cpp Adapt.h NumericUtils.h ../Common/Message.h
Bessel.o: Bessel.cpp ../Common/GetDPConfig.h ../Common/Message.h Bessel.h
Legendre.o: Legendre.cpp ../Common/Message.h
gsl_brent.o: gsl_brent.cpp ../Common/GetDPConfig.h ../Common/Message.h \
  NumericUtils.h

=== bin/Makefile ===
# GetDP - Copyright (C) 1997-2009 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

default:
	true

=== demos/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

clean:
	rm -f *.pre *.res *.pos *.cut b_*.txt

=== doc/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

clean:
	rm -f *~ .*~
	cd texinfo && ${MAKE} clean

=== lib/Makefile ===
# GetDP - Copyright (C) 1997-2009 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

clean:
	rm -f *.a

=== contrib/Arpack/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

include ../../variables

LIB = ../../lib/libGetDPArpack${LIBEXT}

INC = 

FFLAGS = ${OPTIM} ${FLAGS} ${INC}

SSRC  = sgetv0.f slaqrb.f sstqrb.f ssortc.f ssortr.f sstatn.f sstats.f \
	snaitr.f snapps.f snaup2.f snaupd.f snconv.f sneigh.f sngets.f \
	ssaitr.f ssapps.f ssaup2.f ssaupd.f ssconv.f sseigt.f ssgets.f \
	sneupd.f sseupd.f ssesrt.f

DSRC  = dgetv0.f dlaqrb.f dstqrb.f dsortc.f dsortr.f dstatn.f dstats.f \
	dnaitr.f dnapps.f dnaup2.f dnaupd.f dnconv.f dneigh.f dngets.f \
	dsaitr.f dsapps.f dsaup2.f dsaupd.f dsconv.f dseigt.f dsgets.f \
	dneupd.f dseupd.f dsesrt.f

CSRC  = cnaitr.f cnapps.f cnaup2.f cnaupd.f cneigh.f cneupd.f cngets.f \
        cgetv0.f csortc.f cstatn.f

ZSRC  = znaitr.f znapps.f znaup2.f znaupd.f zneigh.f zneupd.f zngets.f \
        zgetv0.f zsortc.f zstatn.f

UTILS = cvout.f dmout.f dvout.f icnteq.f icopy.f iset.f iswap.f \
        ivout.f second.f smout.f svout.f zmout.f zvout.f

OBJ = ${SSRC:.f=${OBJEXT}} ${DSRC:.f=${OBJEXT}} ${ZSRC:.f=${OBJEXT}} ${UTILS:.f=${OBJEXT}}

.SUFFIXES: .${OBJEXT} .f

${LIB}: ${OBJ}
	${AR} ${ARFLAGS}${LIB} ${OBJ}
	${RANLIB} ${LIB}

.f${OBJEXT}:
	${FC} ${FFLAGS} ${DASH}c $<

clean:
	rm -f *.o *.obj


depend:
	true

# DO NOT DELETE THIS LINE

=== contrib/Sparskit/Makefile ===
# GetDP - Copyright (C) 1997-2012 P. Dular, C. Geuzaine
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to <getdp@geuz.org>.

include ../../variables

LIB = ../../lib/libGetDPSparskit${LIBEXT}

INC = ${DASH}I. ${DASH}I../../Common

CFLAGS = ${FLAGS} ${OPTIM} ${INC} -DHAVE_ILU_FLOAT
FFLAGS = ${FLAGS} ${OPTIM} ${INC} -DHAVE_ILU_FLOAT

CSRC =  Sparskit.cpp

FSRC1 = blas1.f \
        blassm.f \
        cmkreord.f \
        flu.f \
        formats.f \
        inout.f \
        iters.f \
        matvec.f \
        reordering.f \
        unary.f

FSRC2 = ilut.F 

FOBJ1 = ${FSRC1:.f=${OBJEXT}}
FOBJ2 = ${FSRC2:.F=${OBJEXT}}
COBJ  = ${CSRC:.cpp=${OBJEXT}}

.SUFFIXES: ${OBJEXT} .cpp .f .F

${LIB}: ${COBJ} ${FOBJ1} ${FOBJ2}
	${AR} ${ARFLAGS}${LIB} ${COBJ} ${FOBJ1} ${FOBJ2}
	${RANLIB} ${LIB}

.F${OBJEXT}:
	${FC} ${FFLAGS} ${DASH}c $<

.f${OBJEXT}:
	${FC} ${FFLAGS} ${DASH}c $<

.cpp${OBJEXT}:
	${CXX} ${CFLAGS} ${DASH}c $<

clean:
	rm -f *.o *.obj

depend:
	(sed '/^# DO NOT DELETE THIS LINE/q' Makefile && \
	${CXX} -MM -MG ${CFLAGS} ${CSRC} \
	) >Makefile.new
	cp Makefile Makefile.bak
	cp Makefile.new Makefile
	rm -f Makefile.new

# DO NOT DELETE THIS LINE
Sparskit.o: Sparskit.cpp ../../Common/GetDPConfig.h Sparskit.h \
  ../../Common/ListUtils.h ../../Common/MallocUtils.h \
  ../../Common/Message.h

=== debian/changelog ===
getdp (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Sun, 24 Jun 2012 19:26:57 +0200

getdp (2.1.2~beta2~svn2364-1) unstable; urgency=low

  * Update to svn rev 2364
  * Remove unneeded patches
  * debian/rules:
       - rewrite rules for getdp-sparskit (add --disable-gmsh)
       - simplify rules
  * Update the minimal version of hdf5
  * Update dependencies to libpetsc3.2-dev & libslepc3.2-dev
  * Standards-Version updated to version 3.9.3

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Fri, 25 May 2012 08:13:31 +0200

=== debian/control ===
Source: getdp
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Build-Depends: quilt, cdbs, debhelper (>= 7), autotools-dev, automake, autoconf, gfortran, mpi-default-dev,
 libarpack2-dev, libgsl0-dev, libscotchmetis-dev, libpetsc3.2-dev, libslepc3.2-dev, libhdf5-openmpi-dev (>= 1.8.8), gmsh,
 texlive, texlive-generic-recommended, texinfo, install-info
Standards-Version: 3.9.3
Homepage: http://www.geuz.org/getdp
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/getdp/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/getdp/trunk/

Package: getdp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: general environment for the treatment of discrete problems
 GetDP is a general finite element solver using mixed elements to
 discretize de Rham-type complexes in one, two and three dimensions.
 .
 The main feature of GetDP is the closeness between the input data
 defining discrete problems (written by the user in ASCII data files)
 and the symbolic mathematical expressions of these problems.
 .
 See GetDP's reference manual for a more thorough overview of GetDP's
 capabilities: http://www.geuz.org/getdp

Package: getdp-sparskit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: general environment for the treatment of discrete problems
 GetDP is a general finite element solver using mixed elements to
 discretize de Rham-type complexes in one, two and three dimensions.
 .
 The main feature of GetDP is the closeness between the input data
 defining discrete problems (written by the user in ASCII data files)
 and the symbolic mathematical expressions of these problems.
 .
 See GetDP's reference manual for a more thorough overview of GetDP's
 capabilities: http://www.geuz.org/getdp
 .
 Getdp is compiled with SPARSKIT support

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_CLEANUP_RCS            := yes

DEB_AUTO_UPDATE_ACLOCAL         := 1.11
DEB_AUTO_UPDATE_AUTOCONF        := 1

DEB_COMPRESS_EXCLUDE            := .pdf .svn

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# PETSC_DIR is the location of PETSc.
export PETSC_DIR=/usr/lib/petscdir/3.2
export PETSC_ARCH=linux-gnu-c-opt
export SLEPC_DIR=/usr/lib/slepcdir/3.2

#DEB_MAKE_ENVVARS               := -j2

#DEB_CONFIGURE_EXTRA_FLAGS := --enable-metis
DEB_CONFIGURE_EXTRA_FLAGS := 
DEB_CONFIGURE_SCRIPT_ENV  += F77="gfortran"

DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -n -e 's/\.dfsg.*$$//p')

install/getdp::
	echo "installing getdp"
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cd doc/texinfo && $(MAKE) pdf html info LC_ALL=C
	cd doc/texinfo && $(MAKE) install-info DESTDIR=$(CURDIR)/debian/tmp

install/getdp-sparskit::
	echo "installing getdp-sparskit"
	make clean
	rm -rf Common/GetDPVersion.h
	rm -rf Common/GetDPConfig.h
	$(DEB_CONFIGURE_INVOKE) $(cdbs_configure_flags) $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_USER_FLAGS) --enable-sparskit --disable-gmsh
	$(MAKE) 

	mv bin/getdp bin/getdp-sparskit

	
clean::
	find . \( -name "*.o" -o -name "*.a" \) -delete
	rm -rf bin/getdp bin/getdp-sparskit
	rm -rf Common/GetDPVersion.h
	rm -rf Common/GetDPConfig.h
	rm -rf variables configure
	rm -rf config.guess config.sub config.status config.log

.PHONY: get-orig-source
get-orig-source:
	set -ex ; \
        mkdir -p tmp ; \
        uscan --force-download --symlink --check-dirname-level 0 --destdir tmp ; \
        tar -C tmp -xzf tmp/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)-source.tgz ; \
        rm -rf tmp/getdp-$(DEB_UPSTREAM_VERSION)/contrib/Arpack ; \
        GZIP=-9 tar -C tmp -czf \
            $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
            $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION) ; \
        rm -rf tmp
